[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: non-free firmware: driver in main or contrib?

mh@glandium.org wrote:

>On Mon, Oct 25, 2004 at 04:43:50PM +0200, Marco d'Itri wrote:
>> >> Please repeat after me: "drivers do not require firmwares, hardware
>> >> devices require firmwares".
>> >Then, how do you explain the ipw2200 case where driver version 0.5 and
>> >less will only work with a certain firmware and version 0.6 and more
>> >will only work with an other firmware ? Isn't that what we could call
>> >a requirement ?
>> No, why? I can't see how this could be related to my argument.
>I'm telling you some drivers *do depend* on a certain firmware. You're
>still repeating the opposite. Now explain me how in ipw2200 case the
>driver doesn't *depend* on the firmware, since you seem to know the
You are using a different meaning of "depend" than the one used by
policy. I can't see why it should matter if a device driver is designed
to use features present in a specific firmware revision.


Reply to: